using APT.BaseData.Domain.Entities.BD;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    [Description("公告下属公司")]
    public partial class T_PF_ANNOURCEMENT_ORG : MesEntityBase
    {
        /// <summary>
        /// 发送公告
        /// </summary>
        [Description("发送公告")]
        [DataFieldForeignKey("Nav_Annourcement", "Nav_Orgs")]
        public Guid ANNOURCEMENT_ID { get; set; }

        [Description("公告")]
        public virtual T_PF_ANNOURCEMENT Nav_Annourcement { get; set; }

        /// <summary>
        /// 发送组织
        /// </summary>
        [Description("发送组织")]
        [DataFieldForeignKey("Nav_OrgSub")]
        public Guid ORG_ID_SUB { get; set; }

        [Description("发送组织")]
        public virtual T_FM_ORGANIZATION Nav_OrgSub { get; set; }
    }
}